Package madkit.i18n

# Enum Class Words

java.lang.Object
java.lang.Enum<Words>
madkit.i18n.Words

All Implemented Interfaces:
  `Serializable`, `Comparable<Words>`, `java.lang.constant.Constable`

public enum Words extends Enum<Words>
Enum containing key for some useful words

Author:
  Fabien Michel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOUT`
  `COMMUNITY`
  `CREATED`
  `DIRECTORY`
  `DISPLAY`
  `ENTERING`
  `EXITING`
  `FAILED`
  `GROUP`
  `HELP`
  `INITIAL_CONFIG`
  `LAST_AVAILABLE`
  `LAUNCH`
  `MAS`
  `NEW_MSG`
  `PAUSE`
  `RELOAD`
  `ROLE`
  `TERMINATED`
  `TUTORIALS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static Words`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Words[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FAILED

    public static final Words FAILED

  - ### COMMUNITY

    public static final Words COMMUNITY

  - ### GROUP

    public static final Words GROUP

  - ### ROLE

    public static final Words ROLE

  - ### LAUNCH

    public static final Words LAUNCH

  - ### ENTERING

    public static final Words ENTERING

  - ### EXITING

    public static final Words EXITING

  - ### TERMINATED

    public static final Words TERMINATED

  - ### INITIAL_CONFIG

    public static final Words INITIAL_CONFIG

  - ### RELOAD

    public static final Words RELOAD

  - ### DIRECTORY

    public static final Words DIRECTORY

  - ### MAS

    public static final Words MAS

  - ### PAUSE

    public static final Words PAUSE

  - ### NEW_MSG

    public static final Words NEW_MSG

  - ### ABOUT

    public static final Words ABOUT

  - ### HELP

    public static final Words HELP

  - ### TUTORIALS

    public static final Words TUTORIALS

  - ### LAST_AVAILABLE

    public static final Words LAST_AVAILABLE

  - ### CREATED

    public static final Words CREATED

  - ### DISPLAY

    public static final Words DISPLAY

- ## Method Details

  - ### values

    public static Words[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Words valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<Words>`